package com.yd.dal.entity.practitioner.hiring;

/**
 * @author xxy
 */
public class HiringBasicInfo {
    /**
     * 审批状态，包括待审批null及审批步骤seq，通过0，拒绝-1
     */
    private String approveStatus;

    /**
     * 邀请人名字
     */
    private String inviteePractitionerName;

    /**
     * 報聘经纪人姓名
     */
    private String name;

    /**
     * 報聘经纪人姓名电话
     */
    private String mobileNo;

    /**
     * 報聘经纪人姓名证件类型
     */
    private String idType;

    /**
     * 報聘经纪人姓名证件号
     */
    private String idNo;

    /**
     * 1=Male, 2=Female
     */
    private String gender;

    /**
     * 報聘经纪人姓名生日
     */
    private String practitionerBirthdate;

    /**
     * 户籍省份名
     */
    private String provinceName;

    /**
     * 户籍城市名
     */
    private String cityName;

    /**
     * 居住地址
     */
    private String residentAddress;

    /**
     * 从业人员微信号
     */
    private String wechatId;

    /**
     * email地址
     */
    private String email;

    /**
     * 个人照片
     */
    private String personerPictureOssPath;

    /**
     * 个人薪资单图片
     */
    private String payrollOssPath;

    /**
     * Id 正面照片
     */
    private String idFrontPageOssPath;

    /**
     * Id 反面照片
     */
    private String idBackPageOssPath;

    /**
     * 最高学历
     */
    private String lastGraduateGrade;

    /**
     * 毕业学校
     */
    private String lastGraduateSchool;

    /**
     * 毕业证书
     */
    private String lastGraduateCertificationOssPath;

    /**
     * 开户行
     */
    private String bankAccountOpening;

    /**
     * 银行卡号
     */
    private String bankAccountId;

    /**
     * 个人签名
     */
    private String personalSignOssPath;

    /**
     * 获取 邀请人名字
     *
     * @return inviteePractitionerName 邀请人名字
     */
    public String getInviteePractitionerName() {
        return this.inviteePractitionerName;
    }

    /**
     * 设置 邀请人名字
     *
     * @param inviteePractitionerName 邀请人名字
     */
    public void setInviteePractitionerName(String inviteePractitionerName) {
        this.inviteePractitionerName = inviteePractitionerName;
    }

    /**
     * 获取 報聘经纪人姓名
     *
     * @return name 報聘经纪人姓名
     */
    public String getName() {
        return this.name;
    }

    /**
     * 设置 報聘经纪人姓名
     *
     * @param name 報聘经纪人姓名
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 報聘经纪人姓名电话
     *
     * @return mobileNo 報聘经纪人姓名电话
     */
    public String getMobileNo() {
        return this.mobileNo;
    }

    /**
     * 设置 報聘经纪人姓名电话
     *
     * @param mobileNo 報聘经纪人姓名电话
     */
    public void setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
    }

    /**
     * 获取 報聘经纪人姓名证件类型
     *
     * @return idType 報聘经纪人姓名证件类型
     */
    public String getIdType() {
        return this.idType;
    }

    /**
     * 设置 報聘经纪人姓名证件类型
     *
     * @param idType 報聘经纪人姓名证件类型
     */
    public void setIdType(String idType) {
        this.idType = idType;
    }

    /**
     * 获取 報聘经纪人姓名证件号
     *
     * @return idNo 報聘经纪人姓名证件号
     */
    public String getIdNo() {
        return this.idNo;
    }

    /**
     * 设置 報聘经纪人姓名证件号
     *
     * @param idNo 報聘经纪人姓名证件号
     */
    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }

    /**
     * 获取 1=Male 2=Female
     *
     * @return gender 1=Male 2=Female
     */
    public String getGender() {
        return this.gender;
    }

    /**
     * 设置 1=Male 2=Female
     *
     * @param gender 1=Male 2=Female
     */
    public void setGender(String gender) {
        this.gender = gender;
    }

    /**
     * 获取 報聘经纪人姓名生日
     *
     * @return practitionerBirthdate 報聘经纪人姓名生日
     */
    public String getPractitionerBirthdate() {
        return this.practitionerBirthdate;
    }

    /**
     * 设置 報聘经纪人姓名生日
     *
     * @param practitionerBirthdate 報聘经纪人姓名生日
     */
    public void setPractitionerBirthdate(String practitionerBirthdate) {
        this.practitionerBirthdate = practitionerBirthdate;
    }

    /**
     * 获取 户籍省份名
     *
     * @return provinceName 户籍省份名
     */
    public String getProvinceName() {
        return this.provinceName;
    }

    /**
     * 设置 户籍省份名
     *
     * @param provinceName 户籍省份名
     */
    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    /**
     * 获取 户籍城市名
     *
     * @return cityName 户籍城市名
     */
    public String getCityName() {
        return this.cityName;
    }

    /**
     * 设置 户籍城市名
     *
     * @param cityName 户籍城市名
     */
    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    /**
     * 获取 居住地址
     *
     * @return residentAddress 居住地址
     */
    public String getResidentAddress() {
        return this.residentAddress;
    }

    /**
     * 设置 居住地址
     *
     * @param residentAddress 居住地址
     */
    public void setResidentAddress(String residentAddress) {
        this.residentAddress = residentAddress;
    }

    /**
     * 获取 从业人员微信号
     *
     * @return wechatId 从业人员微信号
     */
    public String getWechatId() {
        return this.wechatId;
    }

    /**
     * 设置 从业人员微信号
     *
     * @param wechatId 从业人员微信号
     */
    public void setWechatId(String wechatId) {
        this.wechatId = wechatId;
    }

    /**
     * 获取 email地址
     *
     * @return email email地址
     */
    public String getEmail() {
        return this.email;
    }

    /**
     * 设置 email地址
     *
     * @param email email地址
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * 获取 个人照片
     *
     * @return personerPictureOssPath 个人照片
     */
    public String getPersonerPictureOssPath() {
        return this.personerPictureOssPath;
    }

    /**
     * 设置 个人照片
     *
     * @param personerPictureOssPath 个人照片
     */
    public void setPersonerPictureOssPath(String personerPictureOssPath) {
        this.personerPictureOssPath = personerPictureOssPath;
    }

    /**
     * 获取 Id 正面照片
     *
     * @return idFrontPageOssPath Id 正面照片
     */
    public String getIdFrontPageOssPath() {
        return this.idFrontPageOssPath;
    }

    /**
     * 设置 Id 正面照片
     *
     * @param idFrontPageOssPath Id 正面照片
     */
    public void setIdFrontPageOssPath(String idFrontPageOssPath) {
        this.idFrontPageOssPath = idFrontPageOssPath;
    }

    /**
     * 获取 Id 反面照片
     *
     * @return idBackPageOssPath Id 反面照片
     */
    public String getIdBackPageOssPath() {
        return this.idBackPageOssPath;
    }

    /**
     * 设置 Id 反面照片
     *
     * @param idBackPageOssPath Id 反面照片
     */
    public void setIdBackPageOssPath(String idBackPageOssPath) {
        this.idBackPageOssPath = idBackPageOssPath;
    }

    /**
     * 获取 最高学历
     *
     * @return lastGraduateGrade 最高学历
     */
    public String getLastGraduateGrade() {
        return this.lastGraduateGrade;
    }

    /**
     * 设置 最高学历
     *
     * @param lastGraduateGrade 最高学历
     */
    public void setLastGraduateGrade(String lastGraduateGrade) {
        this.lastGraduateGrade = lastGraduateGrade;
    }

    /**
     * 获取 毕业学校
     *
     * @return lastGraduateSchool 毕业学校
     */
    public String getLastGraduateSchool() {
        return this.lastGraduateSchool;
    }

    /**
     * 设置 毕业学校
     *
     * @param lastGraduateSchool 毕业学校
     */
    public void setLastGraduateSchool(String lastGraduateSchool) {
        this.lastGraduateSchool = lastGraduateSchool;
    }

    /**
     * 获取 毕业证书
     *
     * @return lastGraduateCertificationOssPath 毕业证书
     */
    public String getLastGraduateCertificationOssPath() {
        return this.lastGraduateCertificationOssPath;
    }

    /**
     * 设置 毕业证书
     *
     * @param lastGraduateCertificationOssPath 毕业证书
     */
    public void setLastGraduateCertificationOssPath(String lastGraduateCertificationOssPath) {
        this.lastGraduateCertificationOssPath = lastGraduateCertificationOssPath;
    }

    /**
     * 获取 开户行
     *
     * @return bankAccountOpening 开户行
     */
    public String getBankAccountOpening() {
        return this.bankAccountOpening;
    }

    /**
     * 设置 开户行
     *
     * @param bankAccountOpening 开户行
     */
    public void setBankAccountOpening(String bankAccountOpening) {
        this.bankAccountOpening = bankAccountOpening;
    }

    /**
     * 获取 银行卡号
     *
     * @return bankAccountId 银行卡号
     */
    public String getBankAccountId() {
        return this.bankAccountId;
    }

    /**
     * 设置 银行卡号
     *
     * @param bankAccountId 银行卡号
     */
    public void setBankAccountId(String bankAccountId) {
        this.bankAccountId = bankAccountId;
    }

    /**
     * 获取 个人签名
     *
     * @return personalSignOssPath 个人签名
     */
    public String getPersonalSignOssPath() {
        return this.personalSignOssPath;
    }

    /**
     * 设置 个人签名
     *
     * @param personalSignOssPath 个人签名
     */
    public void setPersonalSignOssPath(String personalSignOssPath) {
        this.personalSignOssPath = personalSignOssPath;
    }

    public String getPayrollOssPath() {
        return payrollOssPath;
    }

    public void setPayrollOssPath(String payrollOssPath) {
        this.payrollOssPath = payrollOssPath;
    }

    @Override
    public String toString() {
        return "HiringBasicInfo{" +
                "inviteePractitionerName='" + inviteePractitionerName + '\'' +
                ", name='" + name + '\'' +
                ", mobileNo='" + mobileNo + '\'' +
                ", idType='" + idType + '\'' +
                ", idNo='" + idNo + '\'' +
                ", gender='" + gender + '\'' +
                ", practitionerBirthdate='" + practitionerBirthdate + '\'' +
                ", provinceName='" + provinceName + '\'' +
                ", cityName='" + cityName + '\'' +
                ", residentAddress='" + residentAddress + '\'' +
                ", wechatId='" + wechatId + '\'' +
                ", email='" + email + '\'' +
                ", personerPictureOssPath='" + personerPictureOssPath + '\'' +
                ", payrollOssPath='" + payrollOssPath + '\'' +
                ", idFrontPageOssPath='" + idFrontPageOssPath + '\'' +
                ", idBackPageOssPath='" + idBackPageOssPath + '\'' +
                ", lastGraduateGrade='" + lastGraduateGrade + '\'' +
                ", lastGraduateSchool='" + lastGraduateSchool + '\'' +
                ", lastGraduateCertificationOssPath='" + lastGraduateCertificationOssPath + '\'' +
                ", bankAccountOpening='" + bankAccountOpening + '\'' +
                ", bankAccountId='" + bankAccountId + '\'' +
                ", personalSignOssPath='" + personalSignOssPath + '\'' +
                '}';
    }

    public String getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(String approveStatus) {
        this.approveStatus = approveStatus;
    }
}
